---
id: "_providers_provider_.chunkheader"
title: "ChunkHeader"
sidebar_label: "ChunkHeader"
---

## Hierarchy

* **ChunkHeader**

## Index

### Properties

* [balance_burnt](_providers_provider_.chunkheader.md#balance_burnt)
* [chunk_hash](_providers_provider_.chunkheader.md#chunk_hash)
* [encoded_length](_providers_provider_.chunkheader.md#encoded_length)
* [encoded_merkle_root](_providers_provider_.chunkheader.md#encoded_merkle_root)
* [gas_limit](_providers_provider_.chunkheader.md#gas_limit)
* [gas_used](_providers_provider_.chunkheader.md#gas_used)
* [height_created](_providers_provider_.chunkheader.md#height_created)
* [height_included](_providers_provider_.chunkheader.md#height_included)
* [outgoing_receipts_root](_providers_provider_.chunkheader.md#outgoing_receipts_root)
* [prev_block_hash](_providers_provider_.chunkheader.md#prev_block_hash)
* [prev_state_num_parts](_providers_provider_.chunkheader.md#prev_state_num_parts)
* [prev_state_root_hash](_providers_provider_.chunkheader.md#prev_state_root_hash)
* [rent_paid](_providers_provider_.chunkheader.md#rent_paid)
* [shard_id](_providers_provider_.chunkheader.md#shard_id)
* [signature](_providers_provider_.chunkheader.md#signature)
* [tx_root](_providers_provider_.chunkheader.md#tx_root)
* [validator_proposals](_providers_provider_.chunkheader.md#validator_proposals)
* [validator_reward](_providers_provider_.chunkheader.md#validator_reward)

## Properties

###  balance_burnt

• **balance_burnt**: *string*

*Defined in [src.ts/providers/provider.ts:100](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L100)*

___

###  chunk_hash

• **chunk_hash**: *[ChunkHash](../modules/_providers_provider_.md#chunkhash)*

*Defined in [src.ts/providers/provider.ts:101](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L101)*

___

###  encoded_length

• **encoded_length**: *number*

*Defined in [src.ts/providers/provider.ts:102](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L102)*

___

###  encoded_merkle_root

• **encoded_merkle_root**: *string*

*Defined in [src.ts/providers/provider.ts:103](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L103)*

___

###  gas_limit

• **gas_limit**: *number*

*Defined in [src.ts/providers/provider.ts:104](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L104)*

___

###  gas_used

• **gas_used**: *number*

*Defined in [src.ts/providers/provider.ts:105](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L105)*

___

###  height_created

• **height_created**: *number*

*Defined in [src.ts/providers/provider.ts:106](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L106)*

___

###  height_included

• **height_included**: *number*

*Defined in [src.ts/providers/provider.ts:107](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L107)*

___

###  outgoing_receipts_root

• **outgoing_receipts_root**: *string*

*Defined in [src.ts/providers/provider.ts:108](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L108)*

___

###  prev_block_hash

• **prev_block_hash**: *string*

*Defined in [src.ts/providers/provider.ts:109](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L109)*

___

###  prev_state_num_parts

• **prev_state_num_parts**: *number*

*Defined in [src.ts/providers/provider.ts:110](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L110)*

___

###  prev_state_root_hash

• **prev_state_root_hash**: *string*

*Defined in [src.ts/providers/provider.ts:111](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L111)*

___

###  rent_paid

• **rent_paid**: *string*

*Defined in [src.ts/providers/provider.ts:112](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L112)*

___

###  shard_id

• **shard_id**: *number*

*Defined in [src.ts/providers/provider.ts:113](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L113)*

___

###  signature

• **signature**: *string*

*Defined in [src.ts/providers/provider.ts:114](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L114)*

___

###  tx_root

• **tx_root**: *string*

*Defined in [src.ts/providers/provider.ts:115](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L115)*

___

###  validator_proposals

• **validator_proposals**: *any[]*

*Defined in [src.ts/providers/provider.ts:116](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L116)*

___

###  validator_reward

• **validator_reward**: *string*

*Defined in [src.ts/providers/provider.ts:117](https://github.com/nearprotocol/nearlib/blob/de49029/src.ts/providers/provider.ts#L117)*
